		<!--<Header>-->
		<header class="Header HdAlt" role="banner">
            <?php
                // Do some actions before the header
                do_action('tr_theme_before_header');
            ?>
			<div class="HdCn">
                <div class="HeaderTop">
                    <div class="Container">
                        <div class="BX Row BFluid">
                            <div class="Logo"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home"><img src="<?php echo tr_config('logo'); ?>" alt="<?php bloginfo('name'); ?>"></a></div>
                            <label for="LinkSearch" class="ButtonSearch fa-search"></label>
                            <input type="checkbox" id="LinkSearch" hidden="hidden">
                            <div class="Search">
                                <label for="LinkSearch" class="Close fa-times"></label>
                            <form method="get" action="<?php echo esc_url( home_url( '/' ) ); ?>" id="searchform">
                                <input name="s" type="text" placeholder="<?php _e('Search...', TR_THEMENAME); ?>">
                                <button id="searchsubmit" type="submit"><span class="fa-search"></span></button>
                                <strong><?php _e('PRESS ENTER FOR SEARCH', TR_THEMENAME); ?></strong>
                            </form>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="HeaderBot">
                    <div class="Container">
                        <input type="checkbox" id="LinkMenu" hidden="hidden">
                        <label for="LinkMenu" class="ButtonMenu fa-bars"></label>
                        <nav class="TtMenu">
                            <ul>
                                <?php wp_nav_menu(array('container' => false, 'theme_location' => 'primary', 'items_wrap' => '%3$s', 'fallback_cb' => 'tr_default_menu')); ?>
                            </ul>
                        </nav>
                    </div>
                </div>
            </div>
		</header>
		<!--</Header>-->