<?php

    add_filter( 'template_redirect', 'tr_pornstar_taxonomy_template' );

    function tr_pornstar_taxonomy_template( $template ){
        
        $dir = get_template_directory();
        
        if(is_page(tr_config('page_newest'))){
            $template = $dir.'/pages/newest.php';            
        }
        
        if(is_page(tr_config('page_highestrated'))){
            $template = $dir.'/pages/highest-rated.php';            
        }
        
        if(is_page(tr_config('page_mostviewed'))){
            $template = $dir.'/pages/most-viewed.php';            
        }
        
        return $template;
    }

    add_filter( 'template_include', 'tr_pornstar_taxonomy_templateb' );

    function tr_pornstar_taxonomy_templateb( $template ){
        
        $dir = get_template_directory();
        
        if(is_page(tr_config('page_pornstars'))){
            $template = $dir.'/pages/pornstars.php';            
        }
        
        if (is_tax(tr_config('pornostar_slug'))){
            $template = dirname(__FILE__).'/template-pornstar.php';
        }
        
        return $template;
    }

    function tr_abc($current=NULL, $top=TRUE) {
        
        $classt='';
        
        $terms = get_terms( 'letters', array('hide_empty' => 0) );
        if ( ! empty( $terms ) && ! is_wp_error( $terms ) ){
            if($top==TRUE){$classt=' Top'; }
            echo '<ul class="ListAlph'.$classt.'"><li class="Current"><a href="'.get_page_link(tr_config('page_id_pornstars')).'">'.__('All', TR_THEMENAME).'</a></li>';
            foreach ( $terms as $term ) {
                echo '<li><a href="'.esc_url( get_term_link( $term ) ).'">' . $term->name . '</a></li>';
            }
            echo '</ul>';
        }
        
    }

	function tr_theme_img($id, $size, $title=NULL,$exclude=NULL){
        
        $saved_thmb = get_post_meta( $id,'saved_thmb',true);
        if(get_post_meta($id, tr_config('field_thumb'), true)!=''){
            return '<img src="'.get_post_meta($id, tr_config('field_thumb'), true).'" alt="'.sprintf( __('Image %s', TR_THEMENAME), $title).'">';
        }elseif($saved_thmb!='' and function_exists('tubeace_activate')){
            return tubeace_thumb('latest',get_the_title($id), $title);
        }elseif(get_the_post_thumbnail($id, $size)){
            return get_the_post_thumbnail( $id, $size );
        }else{
            return '<img src="'.get_template_directory_uri().'/img/cnt/noimg-'.$size.'.png" alt="'.sprintf( __('Image %s', TR_THEMENAME), $title).'">';        
        }
        
	}

    function tr_img_tax($term_id, $name, $cat_name, $type=NULL, $display=NULL, $size='full') {
                
        $tax = get_term_meta($term_id, $name, true);
                        
        if($tax==''){ $tax=get_template_directory_uri().'/img/cnt/notax-'.$name.$type.'.png'; }else{ $file=wp_get_attachment_image_src( $tax['id'], $size); $tax = $file[0]; }
        
        if($display==NULL){ echo '<img src="'.$tax.'" alt="'.sprintf( __('Image %s', TR_THEMENAME), $cat_name).'">'; }else{ return '<img src="'.$tax.'" alt="'.sprintf( __('Image %s', TR_THEMENAME), $cat_name).'">'; }
    }

	function tr_theme_clip_text($html, $length = 180, $strip=true) {
	
		if($strip==true){ $html=strip_shortcodes($html); }
		
		if((mb_strlen($html) > $length)) { 
			$pos_space = mb_strpos($html, ' ', $length) - 1; 
			if($pos_space > 0) { 
				$characters = count_chars(mb_substr($html, 0, ($pos_space + 1)), 1); 
				if (isset($characters[ord('<')]) > isset($characters[ord('>')])) { 
					$pos_espacios = mb_strpos($html, ">", $pos_space) - 1; 
				} 
				$html = mb_substr($html, 0, ($pos_space + 1)).'...'; 
			}
		} 

		preg_match_all('#<([a-z]+)(?: .*)?(?<![/|/ ])>#iU', $html, $result);
		
		$openedtags = $result[1];
		
		preg_match_all('#</([a-z]+)>#iU', $html, $result);
		
		$closedtags = $result[1];
		
		$len_opened = count($openedtags);
		
		if (count($closedtags) == $len_opened) {
			return $html;
		}
		
		$openedtags = array_reverse($openedtags);
		
		$openedtags = array_diff($openedtags, array("img", "hr", "br"));
		
		for ($i=0; $i < $len_opened; $i++) {
		  
		if (!in_array($openedtags[$i], $closedtags)){
		  $html .= '</'.$openedtags[$i].'>';
		} else {
		  unset($closedtags[array_search($openedtags[$i], $closedtags)]);
		}
		
		}

		return $html;
		
	}
    
    function tr_theme_icons($id, $type, $display=NULL){
        
        $return = '';
        
        // 1 = HD
        // 2 = Star
        // 3 = Link
        // 4 = Video or Gallery
        
        if($type==1 and tr_theme_check_tax_post($id, tr_config('term_hd'))==1 and tr_config('type_hd')!=0){
            
            $return = '<strong class="HDPst">'.__('HD', TR_THEMENAME).'</strong>';
            
        }
        
        if($type==2 and tr_theme_check_tax_post($id, '', 2)==1){
            
            $return = '<i class="OutPst fa-star Bgc3"></i>';
            
        }
        
        if($type==3 and get_post_meta($id, tr_config('field_link'), true)!=''){
            
            $return = '<i class="FavPst fa-link Bgc2"></i>';
            
        }
        
        if($type==4){
            
            if(get_post_meta($id, tr_config('field_posttype'), true)==''){
            
                $return = '<div class="TypPst fa-film Bgc3">'.__('Video', TR_THEMENAME).'</div>';
                
            }elseif(get_post_meta($id, tr_config('field_posttype'), true)==2){
                
                $return = '<div class="TypPst fa-picture-o Bgc2">'.__('Gallery', TR_THEMENAME).'</div>';
                
            }
            
        }
        
        if($display==NULL){ return $return; }else{ echo $return; }
    }

    function tr_theme_check_tax_post($id, $t=NULL, $type=1, $display=NULL){
        
        $return = '';
        
        $array = array('');
        
        $arrayb = array('');
        
        if($type==1){
            
            global $trconf;
        
            if($trconf['type_hd']==1){
            
                $posttags = get_the_tags($id);
                if ($posttags) {
                  foreach($posttags as $tag) {
                    $array[] = $tag->term_id;
                  }
                }
                
            }else{
                
                $categories = get_the_category($id);
                foreach ( $categories as $category ) { 
                    $array[] = $category->term_id;
                } 
                
            }

            //$result = array_merge($array, $arrayb);
            if(in_array($t, $array) and !empty($array)){
                $return=true;
            }
            
        }else{

            $terms = get_the_terms( $id, tr_config('pornostar_slug') );

            if ( $terms && ! is_wp_error( $terms ) ) {

                $draught_links = array();

                foreach ( $terms as $term ) {
                    $result[] = $term->term_id;
                }

            }
            
            if(!empty($result)){
                $return=true;
            }
            
        }

        if($display==NULL){ return $return; }else{ echo $return; }
    }

    function tr_permalink_attr($type=1, $id, $display=NULL){
        
        // type = 1 post
        
        $return = '';
        
        if($type==1){
            if(get_post_meta($id, tr_config('field_link'), true)!=''){
                $return = ' target="_blank" rel="nofollow"';
            }
        }
        
        if($display==NULL){ echo $return; }else{ return $return; }
    }

    function tr_the_permalink($html, $display=NULL){
        global $post;
        
        $id = $post->ID;
                
        if(get_post_meta($id, tr_config('field_link'), true)==''){
            $return = $html;
        }else{
            $return = get_post_meta($id, tr_config('field_link'), true);
        }
        
        if($display==NULL){ echo $return; }else{ return $return; }
    }

    add_filter('the_permalink', 'tr_the_permalink');

    function tr_category_list_limit($id, $limit, $display=NULL){
        
        $return = '';
        $array = array();
        $count = 1;
        
        $categories = get_the_category();
        foreach ( $categories as $category ) {
            if($count<=$limit){
            $array[] = '<a href="'.esc_url( get_category_link( $category->term_id ) ).'" rel="category">'.esc_html( $category->name ).'</a>'; 
            }
            $count++;
        }
        
        $return = implode(', ', $array);
        
        if($display==NULL){ echo $return; }else{ return $return; }   
    }

    function tr_theme_duration_or_count($id){
        
        $site = get_post_meta( $id,'site',true);
        if($site==''){
            if(get_post_meta($id, tr_config('field_duration'), true)!=''){
                return '<span class="fa-clock-o Clr3B">'.get_post_meta($id, tr_config('field_duration'), true).'</span>';
            }elseif(get_post_meta($id, tr_config('field_posttype'), true)==2){
                $attachments = get_children( array( 'post_parent' => $id ) );
                return '<span class="fa-picture-o Clr3B">'.count( $attachments ).'</span>';
            }
        }elseif(function_exists('tubeace_activate')){
            if(get_post_meta( $id,'duration',true)!=''){
                return '<span class="Time fa-clock-o">'.tubeace_duration(get_post_meta( $id,'duration',true)).'</span>';
            }
        }
    }

    function tr_theme_clip_text_rand_characters($id) {
        
        if(get_post_meta($id, 'tr_characters_masonry', true)=='') {
            
            $characters = rand(100, 250);
            
            update_post_meta($id, 'tr_characters_masonry', $characters);
            
            return $characters;
            
        }else{
            
            return get_post_meta($id, 'tr_characters_masonry', true);
            
        }
    }

    function tr_theme_url_current($get=NULL, $type=1, $display=NULL) {
        
        global $wp_query;
        
        $permalink = '';
        
        if($type==1){
                
            if ( get_option('permalink_structure') ) { 

                if(!empty($get)){  if(is_search()){ $get='&trf='.$get; }else{ $get='?trf='.$get; } }

                if( is_category() ) {

                    $permalink = get_category_link($wp_query->query_vars['cat']).$get;

                }elseif( is_tag() ){

                    $permalink = get_tag_link($wp_query->query_vars['tag_id']).$get;

                }elseif( is_search() ){

                    $permalink = esc_url( home_url( '/?s='.get_search_query().$get ) );

                }

            }else{

                if(!empty($get)){ $get='&trf='.$get; }

                if( is_category() ){

                    $permalink = get_category_link($wp_query->query_vars['cat']).$get;

                }elseif( is_tag() ){

                    $permalink = get_tag_link($wp_query->query_vars['tag_id']).$get;

                }elseif( is_search() ){

                    $permalink = esc_url( home_url( '/?s='.get_search_query().$get ) );

                }

            }
            
        }else{
            
            $_GET['trf'] = isset($_GET['trf']) ? $_GET['trf'] : 0;
            
            if($type==2 and empty($_GET['trf'])){
                
                $permalink = ' Current';
                
            }elseif($type==3 and $_GET['trf']==2){
                
                $permalink = ' Current';
                
            }elseif($type==4 and $_GET['trf']==1){
                
                $permalink = ' Current';
                
            }
            
        }
        
        if($display==NULL){ echo $permalink; }else{ return $permalink; }
        
    }

    function tr_updated_post( $post_id, $post, $update ) {

        if ( wp_is_post_revision( $post_id ) )
            return;

                // update count galeries and videos for categories

                $ar_categories = array();

                $categories_post = get_the_category($post_id);

                foreach ( $categories_post as $category_post ) { 
                    $ar_categories[] = $category_post->term_id;
                }

                $categories = get_categories( /*array('include' => implode(',', $ar_categories) )*/ array('hide_empty' => 0) ); 
                foreach ( $categories as $category ) {

                    delete_term_meta( $category->term_id, 'tr_count_videos' );

                    delete_term_meta( $category->term_id, 'tr_count_galleries' );

                    tr_count_gallery_or_videos_category($category->term_id, 1, false);
                    tr_count_gallery_or_videos_category($category->term_id, 2, false);

                    unset($category->term_id);
                }

                // update count galeries and videos for pornstars

                //$pornstars_list = wp_get_post_terms($post_id, tr_config('pornostar_slug'), array("fields" => "all"));

                $pornstars_list = get_categories( array('hide_empty' => 0, 'taxonomy' => tr_config('pornostar_slug') ) );
        
                foreach($pornstars_list as $pornstar_single) {
                    
                    delete_term_meta( $pornstar_single->term_id, 'tr_count_videos' );

                    delete_term_meta( $pornstar_single->term_id, 'tr_count_galleries' );

                    tr_count_pornstar($pornstar_single->term_id, 1, false);
                    tr_count_pornstar($pornstar_single->term_id, 2, false);
                    
                    unset($pornstar_single->term_id);

                }

    }

    add_action( 'wp_insert_post', 'tr_updated_post', 10, 3 );

    function tr_count_gallery_or_videos_category($cat, $type=1, $display=true) {
        global $wpdb;

        
        if($type==1) {
            
            if(get_term_meta($cat, 'tr_count_videos', true)=='' or get_term_meta($cat, 'tr_count_videos', true)==0){                
                $args_videos = array(
                    'posts_per_page'=>  -1,
                    'ignore_sticky_posts'=> 1,
                    'post_type' => 'post',
                    'meta_query' => array(
                        'relation' => 'OR',
                        array(
                            'key' => tr_config('field_posttype'),
                            'value' => false,
                            'type' => 'BOOLEAN'
                        ),
                        array(
                            'key' => tr_config('field_posttype'),
                            'compare' => 'NOT EXISTS'
                        )
                    ),
                    'tax_query' => array(
                        array(
                            'taxonomy' => 'category',
                            'field' => 'id',
                            'terms' => $cat
                        ),
                    )

                );
                $the_query = new WP_Query( $args_videos );
            
                update_term_meta( $cat, 'tr_count_videos', $the_query->found_posts);
                                
                if($display==true){ return get_term_meta($cat, 'tr_count_videos', true); }
                
            }else{
                
                if($display==true){ return get_term_meta($cat, 'tr_count_videos', true); }
                
            }
            
        }else{
            
            if(get_term_meta($cat, 'tr_count_galleries', true)=='' or get_term_meta($cat, 'tr_count_galleries', true)==0){
            
                $args_galleries = array(
                    'posts_per_page'=>  -1,
                    'ignore_sticky_posts'=> 1,
                    'post_type' => 'post',
                    'meta_query' => array(
                        array(
                              'key' => tr_config('field_posttype'), 
                              'compare' => '=',
                              'value' => 2
                        ),
                    ),
                    'tax_query' => array(
                        array(
                            'taxonomy' => 'category',
                            'field' => 'id',
                            'terms' => $cat
                        ),
                    )

                );
                $the_query = new WP_Query( $args_galleries );

                update_term_meta( $cat, 'tr_count_galleries', $the_query->found_posts);
                
                if($display==true){ return get_term_meta($cat, 'tr_count_galleries', true); }
            
            }else{
                
                if($display==true){ return get_term_meta($cat, 'tr_count_galleries', true); }
                
            }
            
        }
        
    }

    function tr_count_pornstar($id, $type=1, $display=true){
        global $wpdb;
        
        if($type==1){
            
            if(get_term_meta($id, 'tr_count_videos', true)=='' or get_term_meta($id, 'tr_count_videos', true)==0){
                                
                $args_videos = array(

                    'posts_per_page'=>  -1,
                    'ignore_sticky_posts'=> 1,
                    'post_type' => 'post',
                    'meta_query' => array(
                            'relation' => 'OR',
                            array(
                                'key' => tr_config('field_posttype'),
                                'value' => false,
                                'type' => 'BOOLEAN'
                            ),
                            array(
                                'key' => tr_config('field_posttype'),
                                'compare' => 'NOT EXISTS'
                            )
                    ),
                    'tax_query' => array(
                        array(
                            'taxonomy' => tr_config('pornostar_slug'),
                            'field' => 'id',
                            'terms' => $id
                        ),
                    )

                );
                $the_query = new WP_Query( $args_videos );
                
                update_term_meta( $id, 'tr_count_videos', $the_query->found_posts);
                
            }
            
            if($display==true){ return get_term_meta($id, 'tr_count_videos', true); }
            
        }else{
            
            if(get_term_meta($id, 'tr_count_galleries', true)=='' or get_term_meta($id, 'tr_count_galleries', true)==0){

                $args_galleries = array(
                    'posts_per_page'=>  -1,
                    'ignore_sticky_posts'=> 1,
                    'post_type' => 'post',
                    'meta_query' => array(
                        array(
                              'key' => tr_config('field_posttype'), 
                              'compare' => '=',
                              'value' => 2
                        ),
                    ),
                    'tax_query' => array(
                        array(
                            'taxonomy' => tr_config('pornostar_slug'),
                            'field' => 'id',
                            'terms' => $id
                        ),
                    )

                );
                $the_query = new WP_Query( $args_galleries );

                update_term_meta( $id, 'tr_count_galleries', $the_query->found_posts);
                
            }

            if($display==true){ return get_term_meta($id, 'tr_count_galleries', true); }
            
        }
    }

    add_action('tr_theme_before_footer', 'tr_theme_before_footer');

    function tr_theme_before_footer() {
        
        global $post;
        
        if(is_single() and get_post_meta($post->ID, tr_config('field_posttype'), true)=='') {
            
            tr_related( tr_config('posts_per_related_posts'), $post->ID, 1, __('SHOW MORE VIDEOS', TR_THEMENAME) );
            
        }
        
        if(is_single() and get_post_meta($post->ID, tr_config('field_posttype'), true)==2) {
            
            tr_related( tr_config('posts_per_related_posts'), $post->ID, 2, __('SHOW MORE GALLERIES', TR_THEMENAME) );
            
        }
    }

    add_action('tr_theme_before_footer_2', 'tr_theme_before_footer_2');

    function tr_theme_before_footer_2() {

        if(!isset($_COOKIE['cookie_notice_accepted']) and tr_config('cookie_page')!='') {
            
            $output='
                <!--<Ck>-->
                <div class="HdCookie fa-check-circle trcookies" id="cookie-notice" style="display:none">
                    <div class="Container">
                        <input type="checkbox" hidden="hidden" id="CkLnk">
                        <div class="CkCnt CX Row CFluid CXCenter">
                            <p>'.sprintf( __('%s%sUSE OF COOKIES%s%sWe use own and third party cookies to improve our services. %sIf you go on surfing, we will consider you accepting its use. More information in the %scookie policy%s.%s', TR_THEMENAME), '<span>', '<strong>', '</span>', '</strong>', '<span>', '<a href="'.get_page_link(tr_config('cookie_page')).'">', '</a>', '</span>').'</p>
                            <div class="CFixed">
                                <label id="cn-accept-cookie" data-cookie-set="accept" for="CkLnk" class="Button fa-check bt_trcookies cn-set-cookie">'.__('I ACCEPT', TR_THEMENAME).'</label>
                            </div>
                        </div>
                    </div>
                </div>
                <!--</Ck>-->
            ';
            
            echo $output;
            
        }
    }

    add_action('pre_get_posts','tr_alter_query');

    function tr_alter_query($query) {

          if( $query->is_main_query() and !is_admin() and isset($_GET['trf'])) {
              
            if(intval($_GET['trf'])==1){

                $array = array(
                    
                        'relation' => 'OR',
                        array(
                            'key' => tr_config('field_posttype'),
                            'value' => false,
                            'type' => 'BOOLEAN'
                        ),
                        array(
                            'key' => tr_config('field_posttype'),
                            'compare' => 'NOT EXISTS'
                        )
                    
                );

            }
              
            if(intval($_GET['trf'])==2){

                $array = array(
                    
                        array(
                              'key' => tr_config('field_posttype'), 
                              'compare' => '=',
                              'value' => 2
                        ),
                    
                );

            }
              
            if(!empty($array)){
              
                $query->set( 'meta_query', $array );
                
            }
              
          }
        
        if( $query->is_main_query() and !is_admin() and !is_category() and !is_page()){
    
            $query->set( 'category__not_in', tr_config('categories_blog') );
            
        }
        
    }

	function tr_pagination($tipo=1, $class=NULL, $qc=NULL){
		
        global $wp_query, $paged;
		
		if($qc==''){$total=$wp_query->max_num_pages;}else{$total=$qc;}
		if($tipo==1){
			$paginacion=paginate_links( array(
				'base' => str_replace(999999999, '%#%', esc_url( get_pagenum_link(999999999) ) ),
				'format' => '?paged=%#%',
				'current' => max( 1, $paged ),
				'total' => $total,
				'mid_size' => 3,
				'prev_next' => true
			) );
		}else{
			$paginacion=paginate_comments_links( array('prev_next' => true,'echo' => false) );	
		}
		if(!empty($paginacion))echo'<div class="mt-pagnav wp-pagenavi'.$class.'">'.$paginacion.'</div>';
	}

	add_filter('avatar_defaults', 'tr_gravatar');

	function tr_gravatar ($avatar_defaults) {
        
		$myavatar = get_template_directory_uri().'/img/cnt/user.jpg';  
		$avatar_defaults[$myavatar] = __('Avatar', TR_THEMENAME);  
		
        return $avatar_defaults;
        
	}

    function tr_age($birthday){
        list($day,$month,$year) = explode("-",$birthday);
        $year_diff  = date("Y") - $year;
        $month_diff = date("m") - $month;
        $day_diff   = date("d") - $day;
        if ($day_diff < 0 || $month_diff < 0)
          $year_diff--;
        return $year_diff;
    }

    function tr_terms_pornostar($id, $name=NULL, $field, $tax, $tag='<li class="fa-circle-o Clr3B BX Cols Row BFluid">', $tagb='</li>'){
        
        if(get_term_meta($id, $field, true)!=''){
            $terms = get_terms( $tax , array(
                'orderby'    => 'count',
                'hide_empty' => 0,
                'include' => get_term_meta($id, $field, true)
            ) );
            if ( ! empty( $terms ) && ! is_wp_error( $terms ) ){
                foreach ( $terms as $term ) { $ar[]='<a href="'.esc_url( get_term_link( $term ) ) .'" title="' . esc_attr( sprintf( __( 'View all post filed under %s', TR_THEMENAME ), $term->name ) ) . '">'.$term->name.'</a>'; }

                echo $tag.'<span>'.$name.'</span> <strong>'.implode(', ', $ar).'</strong>'.$tagb;
            }
        }
    }

    function tr_terms_pornstar_filter($tax, $id, $img=NULL, $include=FALSE){
        
        $imgp='';
        
        if($tax=='countries' and get_option('trco')!='' and $include==''){ $include=get_option('trco'); }else{ $include=''; }
                
        if(!isset($_GET[$id])){ $_GET[$id] = ''; }
        
        $terms = get_terms( $tax , array(
            'orderby'    => 'count',
            'hide_empty' => 0,
            'include' => $include,
        ) );
        if ( ! empty( $terms ) && ! is_wp_error( $terms ) ){
            $i=1;
            foreach ( $terms as $term ) {
                if($img==true and get_term_meta($term->term_id, 'iso_country', true)!=''){ 
                    $imgp='<i class="flag-'.get_term_meta($term->term_id, 'iso_country', true).'"></i>'; 
                }
                echo '<li><input name="'.$id.'" type="radio" id="'.$id.'-'.$i.'" hidden="hidden" value="'.$term->term_id.'" '.checked( intval($_GET[$id]), $term->term_id, false ).'><label for="'.$id.'-'.$i.'">'.$imgp.''.$term->name.'</label></li>';
                $i++;
            }
        }

    }

    add_filter( 'terms_clauses', 'tr_get_terms_name__like', 10, 3 );

    function tr_get_terms_name__like( $pieces, $taxonomies, $args ) {
        global $wp_version;

        if ( !is_admin() ) {

            // return for versions lower than 3.7
            if ( version_compare( $wp_version, "3.7", "<" ) )
                return $pieces;

            if ( isset( $args['name__like'] ) && $args['name__like'] ) {
                $pattern = "/AND t\.name LIKE '%(.*?)%'/";
                $replacement = "AND t.name LIKE '\$1%'";
                $pieces['where'] = preg_replace( $pattern, $replacement, $pieces['where'] );
            }

        }

        return $pieces;
    }


	add_filter('option_admin_email','tr_email');
	
	function tr_email(){
		
		return tr_config('email');
	}
	
	add_filter('option_posts_per_page','tr_posts_per_page');
	
	function tr_posts_per_page(){
      if(is_front_page()){
        return tr_config('posts_per_page');
      }else{
        return tr_config('posts_per_pages');
      }
	}
	
	add_action('wp_head', 'tr_header');
	
	function tr_header(){
		
		if(tr_config('header_code')!=''){echo tr_config('header_code')."\n";}
		if(tr_config('favicon')!=''){echo"<link rel=\"shortcut icon\" type=\"image/x-icon\" href=\"".tr_config('favicon')."\">"."\n";}
	}

	add_action('wp_footer', 'tr_footer');
	
	function tr_footer() {
		
		if(tr_config('footer_code')!=''){echo tr_config('footer_code')."\r";}
	}

    function tr_theme_comment($comment, $args, $depth) {
        $GLOBALS['comment'] = $comment;
        extract($args, EXTR_SKIP);
    ?>
       
        <li <?php comment_class( empty( $args['has_children'] ) ? '' : 'parent' ) ?> id="comment-<?php comment_ID() ?>">
            <!--<Comment>-->
            <div id="div-comment-<?php comment_ID() ?>" class="Comment comment-body">
                <?php if ( $args['avatar_size'] != 0 ) echo '<figure>'.get_avatar( $comment, 100 ).'</figure>'; ?>
                <p><strong class="Clr1"><?php echo get_comment_author_link(); ?></strong> <span><?php echo get_comment_date('d'); ?> <?php echo get_comment_date('F'); ?> <?php echo get_comment_date('Y'); ?></span></p>
                <?php if ( $comment->comment_approved == '0' ) : ?>
                    <p class="comment-awaiting-moderation"><?php _e( 'Your comment is awaiting moderation.' ); ?></p>
                <?php endif; ?>
                <div>
                    <?php comment_text(); ?>
                    <div class="reply">
                        <?php comment_reply_link( array_merge( $args, array( 'add_below' => 'div-comment', 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?>
                    </div>
                </div>
            </div>
            
    <?php
    }

    function tr_add_rewrite_rules() {
      add_rewrite_rule('abecedario/([^/]+)/page/([0-9]+)?$',
       'index.php?letters=$matches[1]&trpaged=$matches[2]',
       'top');
    }

    add_filter('init', 'tr_add_rewrite_rules', 9999);

    function tr_insert_query_vars( $vars ){
        array_push($vars, 'trpaged');
        return $vars;
    }

    add_filter( 'query_vars','tr_insert_query_vars' );

    if(!function_exists('tr_redirect_validate')){
        die();
    }
    ?>