<?php

class WP_Widget_Trabcpornstars extends WP_Widget {

	public function __construct() {
		$widget_ops = array('classname' => 'widget_trabcpornstars', 'description' => __( "Widget to display alphabet filter porn stars", TR_THEMENAMEOPTIONS) );
		parent::__construct('tr-abcpornstars', __('TR ABCPornstars', TR_THEMENAMEOPTIONS), $widget_ops);
		$this->alt_option_name = 'widget_trabcpornstars';
	}

	public function widget( $args, $instance ) {
		if ( ! isset( $args['widget_id'] ) ) {
			$args['widget_id'] = $this->id;
		}

		$title = ( ! empty( $instance['title'] ) ) ? $instance['title'] : __( 'Pornstars A - Z', TR_THEMENAME );

		/** This filter is documented in wp-includes/widgets/class-wp-widget-pages.php */
		$title = apply_filters( 'widget_title', $title, $instance, $this->id_base );
?>
        <!--<Alphabet>-->
        <div class="TtBxCn">
            <?php if ( $title ) { ?>
            <div class="TtBxTp"><?php _e('Pornstars A - Z'); ?></div>
            <?php } ?>
            <?php tr_abc('', false); ?>
        </div>
        <!--</Alphabet>-->
<?php
	}

	public function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['title'] = sanitize_text_field( $new_instance['title'] );
		return $instance;
	}

	public function form( $instance ) {
		$title     = isset( $instance['title'] ) ? esc_attr( $instance['title'] ) : '';
?>
		<p><label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Title:' ); ?></label>
		<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo $title; ?>" /></p>
<?php
	}
}