<?php /* Template Name: Videos (Videos) */ ?>
<?php get_header(); ?>
      
    <!--<main>-->
    <main class="Main" role="main">
       

								<!--<ListPost>-->
								<?php tr_h1(); ?>
				
								<?php
        
                                    $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;

                                    $args_videos = array(
                                    
                                        'posts_per_page'=> tr_config('posts_per_page'),
                                        'ignore_sticky_posts'=> 1,
                                        'post_type' => 'post',
                                        'category__not_in' => tr_config('categories_blog'),
                                        'paged' => $paged,
                                        'meta_query' => array(

                                                'relation' => 'OR',
                                                array(
                                                    'key' => tr_config('field_posttype'),
                                                    'value' => false,
                                                    'type' => 'BOOLEAN'
                                                ),
                                                array(
                                                    'key' => tr_config('field_posttype'),
                                                    'compare' => 'NOT EXISTS'
                                                )
                                        ),
                                        
                                    );

                                    $query_videos = new WP_Query( $args_videos );
                                        if ( $query_videos->have_posts() ) {
                                ?>
								
								<!--<ListPost>-->
								<ul class="ListPost TtStyA AX Cols Row A12 B06 C04 D04 E03 F20">
								
                                    <?php
                                        while ( $query_videos->have_posts() ) {
                                            $query_videos->the_post();        
                                    ?>
									<!--<Post>-->
									<li>
										<article id="post-<?php the_ID(); ?>" <?php post_class('Post'); ?>>
											<div class="Picture">
												<figure><a<?php tr_permalink_attr(1, get_the_ID()); ?> rel="bookmark" href="<?php the_permalink(); ?>"><?php echo tr_theme_img(get_the_ID(), 'tblist', get_the_title()); ?></a></figure>
												<?php tr_theme_icons(get_the_ID(), 2,  true); ?>
												<div class="FetPst">
								                    <?php tr_theme_icons(get_the_ID(), 3, true); ?>
													<?php tr_theme_icons(get_the_ID(), 1, true); ?>
												</div>
												<?php tr_theme_icons(get_the_ID(), 4, true); ?>
												<div class="Info">
													<span class="CateLink fa-folder-open Clr2B"><?php tr_category_list_limit(get_the_ID(), 2); ?></span>
													<span><?php echo tr_theme_duration_or_count(get_the_ID()); ?> <?php tr_theme_rating_percentage(get_the_ID()); ?></span>
												</div>
											</div>
											<header>
												<h2 class="Title"><a<?php tr_permalink_attr(1, get_the_ID()); ?> rel="bookmark" href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
											</header>
										</article>
									</li>
									<!--</Post>-->
                                    <?php
                                        }
                                        wp_reset_postdata();
                                    ?>

								</ul>
								<!--</ListPost>-->
																								
								<?php } ?>
								
								<?php if(function_exists('wp_pagenavi')) { wp_pagenavi(array( 'query' => $query_videos )); } ?>
								
							    <?php
                                    if( $query_videos->post_count==0 ) :
                                        
                                        get_template_part( 'inc/404' );

                                    endif;
                                ?>
              

        <?php tr_description(); ?>
        
    </main>
    <!--</main>-->

    <?php get_sidebar(); ?>
    
<?php get_footer(); ?>